# -*- coding: UTF-8 -*-
from os.path import isfile
from pyeole.process import system_code

def test_lsc_enabled():
    """
    Vérifie que le service lsc est désactivé
    """
    if isfile('/usr/bin/lsc'):
        assert system_code(['systemctl', 'is-enabled', 'lsc']) == 1

def test_eolelsc_enabled():
    """
    Vérifie que le service eole-lsc est activé
    """
    if isfile('/usr/bin/lsc'):
        assert system_code(['systemctl', 'is-enabled', 'eole-lsc']) == 0

